Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with
or
.
Download ZIP
Newer
Older
100644 76 lines (68 sloc) 2.494 kb
d88373c @mislav switch to bundler 1.0.0.rc.1
mislav authored
1 source :rubygems
da8119b @mislav switch to Bundler for specifying gem dependencies
mislav authored
2
aa69be1 @mislav add Rails 2.3.5 semi-dependencies + ruby-debug to the bundle
mislav authored
3 group :rails do
9ae416f @jrom make teambox bootable
jrom authored
4 gem 'rails', '~> 3.0.3'
aa69be1 @mislav add Rails 2.3.5 semi-dependencies + ruby-debug to the bundle
mislav authored
5 gem 'builder', '~> 2.1.2'
6 gem 'memcache-client', '>= 1.7.4', :require => nil
7 gem 'tzinfo', '~> 0.3.12'
8 gem 'i18n', '>= 0.1.3'
9 gem 'tmail', '~> 1.2.3'
10 gem 'text-format', '>= 0.6.3', :require => 'text/format'
11 end
da8119b @mislav switch to Bundler for specifying gem dependencies
mislav authored
12
f3ad86d @saimonmoore Fixing task create feature using a bit of moneky patching
saimonmoore authored
13 #Temporary hack - Fix once this ticket: is resolved
14 gem 'activesupport-i18n-patch', :git => 'git://github.com/teambox/activesupport-i18n-patch.git'
15
525e526 @saimonmoore Move nokogiri before ruby-libxml so that it loads libxml first
saimonmoore authored
16 gem 'nokogiri'
da8119b @mislav switch to Bundler for specifying gem dependencies
mislav authored
17 gem 'SystemTimer', '~> 1.2.0', :require => 'system_timer'
18 gem 'whenever', '~> 0.4.1', :require => nil
19 gem 'icalendar', '~> 1.1.3'
e4a49f5 @mislav bundle: lock libxml-ruby to 1.1.3. add will_paginate as dependency
mislav authored
20 gem 'libxml-ruby', '1.1.3', :require => 'libxml'
bd01357 @mislav Textile → Markdown
mislav authored
21 gem 'rdiscount', '~> 1.6.3'
37e4bc8 @mislav port stylesheets to "app/styles/" in Sass 3 syntax
mislav authored
22 gem 'haml', '~> 3.0.0.beta1'
9ae416f @jrom make teambox bootable
jrom authored
23 # gem 'mysql2'
dfe935f @mislav add mongrel; put mysql, pg gems in their respective groups
mislav authored
24 gem 'mysql', '~> 2.8.1', :require => nil, :group => 'mysql'
25 gem 'pg', '~> 0.9.0', :require => nil, :group => 'pg'
da8119b @mislav switch to Bundler for specifying gem dependencies
mislav authored
26 gem 'aws-s3', '~> 0.6.2', :require => 'aws/s3'
fce98ce Adding hpricot to the gem bundle, so developers can use rake import:c…
Pablo Villalba authored
27 gem 'hpricot', '~> 0.8.2'
7339f91 Login and signup via OAuth2 for Facebook and Github
Dan Williams authored
28 gem 'json'
9b3d5dc @unixcharles Bump omniauth
unixcharles authored
29 gem 'oa-oauth', '= 0.2.3', :require => 'omniauth/oauth'
6d57aba @unixcharles Add hashie to the Gemfile
unixcharles authored
30 gem 'hashie'
65f105d @saimonmoore teambox trimmer gem (rack endpoint) integration
saimonmoore authored
31 gem 'tilt', '~> 1.2.2'
1d3dfcd @jrom Use choices gem from public git repo
jrom authored
32 gem 'choices', :git => "git://github.com/teambox/choices.git"
65f105d @saimonmoore teambox trimmer gem (rack endpoint) integration
saimonmoore authored
33 gem 'rack-staticifier', :git => "https://github.com/remi/rack-staticifier.git"
34 gem 'trimmer', :git => "https://github.com/teambox/trimmer.git"
da8119b @mislav switch to Bundler for specifying gem dependencies
mislav authored
35
8a91ab7 @enriclluelles Using rails3 branch of will_paginate
enriclluelles authored
36 gem "will_paginate", :git=>"git://github.com/mislav/will_paginate.git", :branch=>"rails3"
e2fdec2 @unixcharles bump thinking-sphinx, rake ts:index was failing
unixcharles authored
37 gem 'thinking-sphinx', '2.0.1', :require => 'thinking_sphinx'
8a55935 @jrom now we can load the homepage!
jrom authored
38 gem 'sprockets-rails', '~> 0.0.1'
232efa5 Setting up Barista to compile coffeescripts
Pablo Villalba authored
39 gem 'barista', '~> 1.0'
6b7f9f4 @jamesu Fix notes and dividers by using a rails3 compatible vestal_versions
jamesu authored
40 gem 'vestal_versions', '~> 1.2.2', :git => 'git://github.com/adamcooper/vestal_versions'
7154f32 @jrom Fixing stuff
jrom authored
41 gem 'paperclip', '~> 2.3.6'
42 gem 'teambox-permalink_fu', :require => 'permalink_fu'
ff5109c @jamesu Fix the rest of the controller specs by using webrat and have_selecto…
jamesu authored
43 gem 'cancan', '~> 1.4.1'
573c598 @saimonmoore Requiring a minimum version of 0.1.6 for immortal
saimonmoore authored
44 gem 'immortal', '~> 0.1.6', :git=>"git://github.com/teambox/immortal.git"
7677bb0 @saimonmoore Require ssl on all routes if Teambox.config.secure_logins
saimonmoore authored
45 gem 'rack-ssl-enforcer', :require => 'rack/ssl-enforcer'
be92036 Adding Jammit for stylesheets
Pablo Villalba authored
46 gem 'jammit'
7154f32 @jrom Fixing stuff
jrom authored
47
a68b8bb @mrtorrent Make sqlite3 available in development environment
mrtorrent authored
48 group :development do
aa69be1 @mislav add Rails 2.3.5 semi-dependencies + ruby-debug to the bundle
mislav authored
49 gem 'sqlite3-ruby', '~> 1.2.5', :require => nil
50 gem 'ruby-debug', '~> 0.10.3', :require => nil
dfe935f @mislav add mongrel; put mysql, pg gems in their respective groups
mislav authored
51 gem 'mongrel', '~> 1.1.5', :require => nil
ee879b5 @unixcharles Use the vcr-remote-controller to manage VCR cassettes in development …
unixcharles authored
52 gem 'vcr-remote-controller'
a68b8bb @mrtorrent Make sqlite3 available in development environment
mrtorrent authored
53 end
54
3d4cda2 @jrom work in progress
jrom authored
55 group :test, :development do
e15958a @saimonmoore Adding thin so that cukes can run faster
saimonmoore authored
56 gem 'thin'
ff5109c @jamesu Fix the rest of the controller specs by using webrat and have_selecto…
jamesu authored
57 gem 'rspec-rails', '~> 2.3.1'
58 gem 'webrat'
1ef23ef @saimonmoore Optionally use Fuubar formatter for specs
saimonmoore authored
59 gem 'fuubar'
e25f8ba @jrom don't require faker unless needed
jrom authored
60 gem 'faker', :require => nil
fc8dcac @saimonmoore Ensure we're rendering a task as overdue or not using logged in user'…
saimonmoore authored
61 gem 'timecop', :require => 'timecop'
37df41e @unixcharles Add VCR/Fakeweb gem, development/cucumber initializer
unixcharles authored
62 gem 'vcr', '~> 1.9.0'
63 gem 'fakeweb', '~> 1.3.0'
3d4cda2 @jrom work in progress
jrom authored
64 end
65
aa69be1 @mislav add Rails 2.3.5 semi-dependencies + ruby-debug to the bundle
mislav authored
66 # we don't call the group :test because we don't want them auto-required
da8119b @mislav switch to Bundler for specifying gem dependencies
mislav authored
67 group :testing do
68 gem 'database_cleaner', '~> 0.5.0'
248c72d @jrom adding combined rcov reports with `rake rcov:all`
jrom authored
69 gem 'rcov'
e48a66c @jamesu Update factory_girl to account for new labour laws
jamesu authored
70 gem 'factory_girl', '~> 1.3.2'
7b617bd @jamesu Update cucumber
jamesu authored
71 gem 'pickle', '~> 0.4.4'
72 gem 'cucumber-rails', '~> 0.3.2', :require => nil
73 gem 'capybara', '~> 0.4.0'
74 gem 'launchy', '~> 0.3.7'
da8119b @mislav switch to Bundler for specifying gem dependencies
mislav authored
75 end
Something went wrong with that request. Please try again.